VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisiMath.Collisions.BaseSpatialDivider Class Reference
Inheritance diagram for VisiMath.Collisions.BaseSpatialDivider:

List of all members.

## Public Member Functions
abstract bool | IsFullyInside (AABox box)
| Returns true if AA box is fully inside halfspace.
abstract bool | IsInside (AABox box)
| Returns true if AA box is at least partialy inside halfspace.
abstract bool | IsFullyInside (Sphere sph)
| Returns true if sphere is fully inside halfspace.
abstract bool | IsInside (Sphere sph)
| Returns true if sphere is at least partialy inside halfspace.
abstract bool | IsInside (Vector3 point)
| Returns true if point is inside halfspace.
abstract bool | IsFullyInside (IConvexObject convex)
| Returns true if generic convex object is fully inside halfspace.
abstract bool | IsInside (IConvexObject convex)
| Returns true if generic convex object is at least partialy inside halfspace.
virtual bool | IsFullyInside (ref ISpatialIndex index)
| returns true if spatial index is fully on the "inside" part of the space
virtual bool | IsInside (ref ISpatialIndex index)
| returns true if spatial index is at least partialy on the "inside" part of the space
virtual bool | MovedThrough (ref ISpatialIndex startpos, ref ISpatialIndex endpos)
| Returns true, if object moving from one position to another moved fully through the portal.

## Member Function Documentation

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsFullyInside | ( | AABox | box | ) | `[pure virtual]`

Returns true if AA box is fully inside halfspace.

Parameters:

  box | AA box

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

virtual bool VisiMath.Collisions.BaseSpatialDivider.IsFullyInside | ( | ref ISpatialIndex | index | ) | `[virtual]`

returns true if spatial index is fully on the "inside" part of the space

Parameters:

  index | Spatial index

Returns:
  True if inside

Implements VisiMath.Collisions.ISpatialDivider.

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsFullyInside | ( | Sphere | sph | ) | `[pure virtual]`

Returns true if sphere is fully inside halfspace.

Parameters:

  sph | SPhere

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsFullyInside | ( | IConvexObject | convex | ) | `[pure virtual]`

Returns true if generic convex object is fully inside halfspace.

Parameters:

  convex | Convex object

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsInside | ( | IConvexObject | convex | ) | `[pure virtual]`

Returns true if generic convex object is at least partialy inside halfspace.

Parameters:

  convex | Convex object

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsInside | ( | AABox | box | ) | `[pure virtual]`

Returns true if AA box is at least partialy inside halfspace.

Parameters:

  box | AA box

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsInside | ( | Vector3 | point | ) | `[pure virtual]`

Returns true if point is inside halfspace.

Parameters:

  point | point

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

abstract bool VisiMath.Collisions.BaseSpatialDivider.IsInside | ( | Sphere | sph | ) | `[pure virtual]`

Returns true if sphere is at least partialy inside halfspace.

Parameters:

  sph | SPhere

Returns:
  True if inside

Implemented in VisiMath.Collisions.AlignedPlaneDivider, and VisiMath.Collisions.PlanarDivider.

virtual bool VisiMath.Collisions.BaseSpatialDivider.IsInside | ( | ref ISpatialIndex | index | ) | `[virtual]`

returns true if spatial index is at least partialy on the "inside" part of the space

Parameters:

  index | Spatial index

Returns:
  True if inside

Implements VisiMath.Collisions.ISpatialDivider.

virtual bool VisiMath.Collisions.BaseSpatialDivider.MovedThrough | ( | ref ISpatialIndex | startpos,
|  | ref ISpatialIndex | endpos
| ) |  | `[virtual]`

Returns true, if object moving from one position to another moved fully through the portal.

Parameters:

  startpos | Starting position
  endpos | Ending position

Returns:
  True if object moved

Implements VisiMath.Collisions.ISpatialDivider.

Reimplemented in VisiMath.Collisions.QuadSpatialDivider.

The documentation for this class was generated from the following file:

- SpatialDivider.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events